Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::InClause< Dependency, Scope > Class Template Reference

Scopes the binding. More...

`#include <sauce/binder.h>`

Inheritance diagram for sauce::InClause< Dependency, Scope >:

## Public Member Functions
template<typename Ctor >
ToClause< Dependency, Scope, Ctor > | to ()
template<typename ProviderCtor >
ToProviderClause< ProviderDependency, Scope, ProviderCtor > | toProvider ()
Public Member Functions inherited from sauce::internal::Clause< Dependency >
Clause< Dependency > & | naming (unsigned int position, std::string const name)
void | setState (ClauseStatePtr state)

## Additional Inherited Members
Protected Member Functions inherited from sauce::internal::Clause< Dependency >
virtual void | onComplete ()
| Clause (ClauseStatePtr state)
ClauseStatePtr | getState ()
template<typename Next >
Next | pass (Next next)
void | setDynamicName (std::string const name)
template<typename Exception >
void | throwLater (Exception)
void | bindDynamicDependencyName (unsigned int position, std::string const name)

## Detailed Description

### template<typename Dependency, typename Scope>
class sauce::InClause< Dependency, Scope >

Scopes the binding.

The documentation for this class was generated from the following file:

- sauce/binder.h